// EmpLocal.java

package hr;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

public interface EmpLocal extends EJBLocalObject
{
    public Integer getEmpNo();
    public void setEmpNo(Integer empNo);

    public String getEmpName();
    public void setEmpName(String empName);

    public Float getSalary();
    public void setSalary(Float salary);

    public AddressLocal getAddress();
    public void setAddress(AddressLocal address);

    public Collection getPhones();
    public void setPhones(Collection phones);

    public DeptLocal getDept();
    public void setDept(DeptLocal dept);

    public Collection getProjects();
    public void setProjects(Collection projects);

    public Collection getDirects();
    public void setDirects(Collection directs);
    public EmpLocal getManager();
    public void setManager(EmpLocal empLocal);

}
